# $Revision: 1.3 $, $Date: 2005/12/25 22:22:55 $

%define		module	pywm

Summary:	Module for WindowMaker docklets
Summary(pl):	Modu do tworzenia dokletw dla WindowMakera
Name:		python-%{module}
Version:	0.1
Release:	2
License:	GPL
Group:		Development/Languages/Python
Source0:	http://errl.info/pywmdockapps/downloads/current/pywmgeneral-%{version}.tar.gz
# Source0-md5:	a393198a17f0c3f14920525cffc82669
URL:		http://errl.info/pywmdockapps/
BuildRequires:	XFree86-devel
BuildRequires:	python-devel >= 1:2.4
BuildRequires:	sed >= 4.0
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Pywmgeneral is a Python module that will help you develope WindowMaker
dockapps in Python. It is mostly a wrapper around the functions from
the popular wmgeneral.c, but some new functions are added too.

It also contains the Python written module pywmhelpers.py which
contains functions to aid the development of WM dockapps. This module
contains Python functions that wrap up the functions which the
extension module provides. They ease up argument passing and give
nicer return values. Some additional functions, like help for handling
a simple configuration file is also available. This module is better
documented than the pywmgeneral. It is adviced to only use pywmhelpers
and not touch the pywmgeneral module directly at all. For information
about how to use the module, see the documentation in pywmhelpers.py.
It is also possible to import it in the interactive interpreter and
issue 'help(pywmhelpers)'.

%description -l pl
Pywmgeneral to modu Pythona pomocny przy tworzeniu dokletw dla
WindowMakera w Pythonie. Jest to w wikszoci wrapper dla funkcji z
popularnego wmgeneral.c, ale dodano te troch nowych funkcji.

Pakiet zawiera take napisany w Pythonie modu pywmhelpers.py
zawierajce funkcje pomocne przy tworzeniu dokletw WM. Ten modu
zawiera funkcje Pythona obudowujce funkcje dostarczane przez modu
rozszerzenia. Uatwiaj przekazywanie argumentw i zwracaj
przyjemniejsze wartoci. Dostpne jest te troch dodatkowych funkcji,
takich jak pomoc przy obsudze prostego pliku konfiguracyjnego. Ten
modu jest lepiej udokumentowany ni pywmgeneral. Zalecane jest
uywanie wycznie pywmhelpers i nie ruszanie w ogle moduu
pywmgeneral bezporednio. Informacje o sposobie korzystania z moduu
znajduj si w dokumentacji w pywmhelpers.py. Moliwe jest take
zaimportowanie go z poziomu interaktywnego interpretera i wywoanie
"help(pywmhelpers)".

%prep
%setup -q -n pywmgeneral-%{version}

sed -i -e 's,/usr/X11R6/lib,/usr/X11R6/%{_lib},' setup.py

%build
CFLAGS="%{rpmcflags}"
export CFLAGS
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT

python setup.py install \
	--root=$RPM_BUILD_ROOT --optimize=2

rm -f $RPM_BUILD_ROOT%{py_sitedir}/*.py

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%{py_sitedir}/*.py[co]
%attr(755,root,root) %{py_sitedir}/*.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pywm.spec,v $
Revision 1.3  2005/12/25 22:22:55  qboosh
- lib64 fix, release 2

Revision 1.2  2005/06/01 16:32:49  qboosh
- pl, .so perms

Revision 1.1  2005/05/29 20:23:22  leafnode
- import
